# Get all incoming wire transfers

Returns all incoming wire transfers for the authenticated identity.

Endpoint: GET /incoming_wire_transfers
Version: v3
Security: auth_token, api-key

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `state` (array)
    Filter incoming wire transfers by state.
    Enum: "PENDING", "COMPLETED", "REJECTED"

  - `creationTimestampFrom` (integer)
    Filter for transactions created after this timestamp. Epoch timestamp using millisecond precision.

  - `creationTimestampTo` (integer)
    Filter for transactions created before this timestamp. Epoch timestamp using millisecond precision.

  - `lastUpdatedTimestampFrom` (integer)
    Filter for transactions last updated after this timestamp. Useful for pulling recently changed transactions. Epoch timestamp using millisecond precision.

  - `lastUpdatedTimestampTo` (integer)
    Filter for transactions last updated before this timestamp. Epoch timestamp using millisecond precision.

  - `sortOrder` (string)
    Sort order for the results:
  - ASC: Ascending order, oldest first.
  - DESC: Descending order, most recent first.
    Enum: "ASC", "DESC"

## Response 200 fields (application/json):

  - `incomingWireTransfers` (array)

  - `incomingWireTransfers.id` (string, required)
    The unique identifier of the incoming wire transfer.

  - `incomingWireTransfers.profileId` (string)
    The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

  - `incomingWireTransfers.state` (string, required)
    The state of an incoming wire transfer:
  - PENDING: The transfer has been received and is being processed. Funds have not yet been credited to the destination account.
  - COMPLETED: Funds have been credited to the destination account.
  - REJECTED: The transfer was not accepted; funds were not credited.
    Enum: same as `state` (3 values)

  - `incomingWireTransfers.amount` (object, required)
    The amount credited (or to be credited) to the destination instrument, in the instrument's currency.

  - `incomingWireTransfers.amount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `incomingWireTransfers.amount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `incomingWireTransfers.fee` (object)
    The fee charged on this incoming wire transfer. Omitted when no fee was charged.

  - `incomingWireTransfers.destinationInstrument` (object, required)
    The managed account (with IBAN) that received the funds.

  - `incomingWireTransfers.destinationInstrument.id` (string, required)

  - `incomingWireTransfers.destinationInstrument.type` (string, required)
    Enum: "managed_cards", "managed_accounts"

  - `incomingWireTransfers.paymentNetwork` (string)
    The payment network over which the transfer was received.
    Enum: "SEPA", "FASTER_PAYMENTS", "SWIFT", "RIX", "BACS", "CHAPS", "TARGET"

  - `incomingWireTransfers.senderName` (string)
    The name of the sender.

  - `incomingWireTransfers.senderIban` (string)
    The IBAN of the sender.

  - `incomingWireTransfers.senderReference` (string)
    The payment reference provided by the sender.

  - `incomingWireTransfers.forex` (object)
    Foreign exchange details when the transaction involved currency conversion.

  - `incomingWireTransfers.forex.originalAmount` (object)
    The original amount in the source or merchant currency before conversion.

  - `incomingWireTransfers.forex.exchangeRate` (object)
    The exchange rate applied to the conversion.

  - `incomingWireTransfers.forex.exchangeRate.value` (integer)

  - `incomingWireTransfers.forex.exchangeRate.scale` (integer)

  - `incomingWireTransfers.forex.paddingAmount` (object)
    The forex padding amount held during authorisation.

  - `incomingWireTransfers.forex.feeAmount` (object)
    The forex markup fee amount.

  - `incomingWireTransfers.isInstant` (boolean)
    Whether this was an instant payment.

  - `incomingWireTransfers.createdAt` (integer, required)
    When the IWT was received, expressed in Epoch timestamp using millisecond precision.

  - `incomingWireTransfers.executedAt` (integer)
    When the IWT was settled, expressed in Epoch timestamp using millisecond precision.

  - `count` (integer)

  - `responseCount` (integer)

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
